Package org.springframework.context.annotation

# Class LoadTimeWeavingConfiguration

java.lang.Object
org.springframework.context.annotation.LoadTimeWeavingConfiguration

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanClassLoaderAware`, `ImportAware`

@Configuration(proxyBeanMethods=false) @Role(2) public class LoadTimeWeavingConfiguration extends Object implements ImportAware, org.springframework.beans.factory.BeanClassLoaderAware
`@Configuration` class that registers a `LoadTimeWeaver` bean.

This configuration class is automatically imported when using the `EnableLoadTimeWeaving` annotation. See `@EnableLoadTimeWeaving` javadoc for complete usage details.

Since:
  3.1
Author:
  Chris Beams
See Also:
  - `LoadTimeWeavingConfigurer`
  - `ConfigurableApplicationContext.LOAD_TIME_WEAVER_BEAN_NAME`

## Constructor Summary

Constructors
Constructor
Description
`LoadTimeWeavingConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`LoadTimeWeaver`
`loadTimeWeaver()`
`void`
`setBeanClassLoader(ClassLoader beanClassLoader)`
`void`
`setImportMetadata(org.springframework.core.type.AnnotationMetadata importMetadata)`
Set the annotation metadata of the importing @`Configuration` class.
`void`
`setLoadTimeWeavingConfigurer(LoadTimeWeavingConfigurer ltwConfigurer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LoadTimeWeavingConfiguration

public LoadTimeWeavingConfiguration()

## Method Details

### setImportMetadata

public void setImportMetadata(org.springframework.core.type.AnnotationMetadata importMetadata)
Description copied from interface: `ImportAware`
Set the annotation metadata of the importing @`Configuration` class.

Specified by:
  `setImportMetadata` in interface `ImportAware`

### setLoadTimeWeavingConfigurer

@Autowired(required=false) public void setLoadTimeWeavingConfigurer(LoadTimeWeavingConfigurer ltwConfigurer)

### setBeanClassLoader

public void setBeanClassLoader(ClassLoader beanClassLoader)

Specified by:
  `setBeanClassLoader` in interface `org.springframework.beans.factory.BeanClassLoaderAware`

### loadTimeWeaver

@Bean(name="loadTimeWeaver") @Role(2) public LoadTimeWeaver loadTimeWeaver()